Package com.collabnet.ce.soap60.fault

# Class DependencyViolationFault

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
org.apache.axis.AxisFault
com.collabnet.ce.soap60.fault.WebServiceFault
com.collabnet.ce.soap60.fault.DependencyViolationFault

All Implemented Interfaces:
  `Serializable`

public class DependencyViolationFault extends WebServiceFault
Represents a SOAP error associated with dependency contraint violation.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final QName`
  `FAULT_CODE`
  SOAP fault code

  ### Fields inherited from class org.apache.axis.AxisFault

  `faultActor, faultCode, faultDetails, faultHeaders, faultNode, faultString, faultSubCode, log`

  ### Fields inherited from class java.rmi.RemoteException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependencyViolationFault(String cause)`
  Class constructor.
  `DependencyViolationFault(Throwable cause)`
  Class constructor.

- ## Method Summary

  ### Methods inherited from class org.apache.axis.AxisFault

  `addFaultDetail, addFaultDetail, addFaultDetailString, addFaultSubCode, addFaultSubCodeAsString, addHeader, addHostname, addHostnameIfNeeded, clearFaultDetails, clearFaultSubCodes, clearHeaders, dump, dumpToString, getFaultActor, getFaultCode, getFaultDetails, getFaultNode, getFaultReason, getFaultRole, getFaultString, getFaultSubCodes, getHeaders, initFaultSubCodes, lookupFaultDetail, makeFault, output, printStackTrace, printStackTrace, removeFaultDetail, removeHostname, setFaultActor, setFaultCode, setFaultCode, setFaultCodeAsString, setFaultDetail, setFaultDetailString, setFaultNode, setFaultReason, setFaultRole, setFaultString, toString, writeDetails`

  ### Methods inherited from class java.rmi.RemoteException

  `getCause, getMessage`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FAULT_CODE

    public static final QName FAULT_CODE
    SOAP fault code

- ## Constructor Details

  - ### DependencyViolationFault

    public DependencyViolationFault(Throwable cause)
    Class constructor.
    Parameters:
      `cause` - Causing exception.

  - ### DependencyViolationFault

    public DependencyViolationFault(String cause)
    Class constructor.
    Parameters:
      `cause` - the cause